> For the complete documentation index, see [llms.txt](https://docs.tynopia.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tynopia.net/reference/sled-race/functions.md).

# Functions

## Server

This functions can be found in the <mark style="color:purple;">modules/functions/server.lua</mark> file

| Name          | Explanation                                                                                                                                                                                                                                   |
| ------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| OnReward      | This function is called when the first player reaches the goal. It will pass the player's source, license, and reward type, which can be used to give the player their reward.                                                                |
| OnRoundStatus | It will be called whenever the round changes its status, such as when the round starts and the status changes from "queue" to "active round." It will pass the complete Round, which is of type <mark style="color:purple;">SledRound</mark>. |

## Client

This functions can be found in the <mark style="color:purple;">modules/functions/server.lua</mark> file

| Name       | Explanation                                                                                                                                                                                                                                        |
| ---------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| PedSpawned | This function will be called when the ped spawns. It can be used, for example, to initialize <mark style="color:purple;">ox\_target</mark> in the default case. You can reference the entity directly because it will be passed into the function. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tynopia.net/reference/sled-race/functions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
